## org.apache.fop.svg
Class SVGPoints

    java.lang.Object
      |
      +--org.apache.fop.fo.Property
            |
            +--org.apache.fop.svg.SVGPoints

public class SVGPoints
extends Property

Inner Class Summary
`static class` `SVGPoints.Maker` inner class for making SVG Length objects.

Inner classes inherited from class org.apache.fop.fo.Property
`Property.Maker`

Field Summary
`protected PointsData` `style`

Constructor Summary
`protected` `SVGPoints(PropertyList propertyList, PointsData explicitValue)` construct an SVG length (called by the Maker).

Method Summary
`java.util.Vector` `getPoints()` get the length
`static Property.Maker` `maker(java.lang.String propName)` returns the maker for this object.

Methods inherited from class org.apache.fop.fo.Property
`getCharacter, getColorType, getCondLength, getEnum, getKeep, getLength, getLengthRange, getNCname, getNumber, getNumeric, getObject, getSpace, getSpecifiedValue, getString, setSpecifiedValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### style

    protected PointsData style

Constructor Detail

### SVGPoints

    protected SVGPoints(PropertyList propertyList,
                        PointsData explicitValue)

  construct an SVG length (called by the Maker).
  Parameters:
    `propertyList` - the property list this is a member of
    `explicitValue` - the explicit value as a Length object

Method Detail

### maker

    public static Property.Maker maker(java.lang.String propName)

  returns the maker for this object.
  Returns:
    the maker for SVG Length objects

### getPoints

    public java.util.Vector getPoints()

  get the length
  Returns:
    the length as a Length object

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.